VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
IListControlDrawer::Row Struct Reference

`#include <clistcontrol.h>`

## Public Types
enum | { Selectable = 1 << 0 , Selected = 1 << 1 , Hovered = 1 << 2 , LastRow = 1 << 3 }

## Public Member Functions
| operator int32_t () const
int32_t | getIndex () const
bool | isSelectable () const
bool | isSelected () const
bool | isHovered () const
bool | isLastRow () const
| Row (int32_t index, int32_t flags)

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
Selectable |
Selected |
Hovered |
LastRow |

## Constructor & Destructor Documentation

## ◆ Row()

Row | ( | int32_t | index,
|  | int32_t | flags )
| inline

## Member Function Documentation

## ◆ getIndex()

int32_t getIndex | ( |  | ) | const
| inline

## ◆ isHovered()

bool isHovered | ( |  | ) | const
| inline

## ◆ isLastRow()

bool isLastRow | ( |  | ) | const
| inline

## ◆ isSelectable()

bool isSelectable | ( |  | ) | const
| inline

## ◆ isSelected()

bool isSelected | ( |  | ) | const
| inline

## ◆ operator int32_t()

operator int32_t | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- clistcontrol.h